Bug 1495574 - [ALL_LANG] Compute - Clouds - Providers - Provider page has untranslated entries
Summary: [ALL_LANG] Compute - Clouds - Providers - Provider page has untranslated entries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Internationalization
Version: 5.8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Krishna Babu K
URL:
Whiteboard:
Depends On:
Blocks: 1526089
TreeView+ depends on / blocked
 
Reported: 2017-09-26 10:28 UTC by Krishna Babu K
Modified: 2018-06-21 20:51 UTC (History)
3 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1526089 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:51:08 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Screen-shot reference for cloud provider page missing translations entries (141.86 KB, image/png)
2017-09-26 10:28 UTC, Krishna Babu K
no flags Details

Description Krishna Babu K 2017-09-26 10:28:43 UTC
Created attachment 1330985 [details]
Screen-shot reference for cloud provider page missing translations entries

Description of problem:
Cloud provide page has following untranslated entries:
Availability zones
Host aggregates
Cloud tenants
Flavors
Orchestration stacks 

Version-Release number of selected component (if applicable):
5.8.2.1.20170925150507_8770490

How reproducible:


Steps to Reproduce:
1. Login cfme with non en_US locale
2. Navigate to Compute - Clouds - Providers, click on any provider
3. Entries under 'Relationships' table not localized.
   'Availability zones', 'Host aggregates', 'Cloud tenants', 'Flavors', 'Orchestration stacks'

Actual results:
Some entries are in English

Expected results:
Should be localized

Additional info:
screen-shot attached for reference.

Comment 2 Krishna Babu K 2017-12-11 14:16:43 UTC
Verified on 5.9.0.12.20171205180333_3e32b3d 
Translations are still not present.

Comment 4 CFME Bot 2017-12-14 08:18:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/9cbea32188f6d9ca6f51acecfc00d7c27bea9eb3

commit 9cbea32188f6d9ca6f51acecfc00d7c27bea9eb3
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Dec 11 17:20:43 2017 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Dec 11 17:21:29 2017 +0100

    EmsCloudHelper: make labels translatable
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1495574

 app/helpers/ems_cloud_helper/textual_summary.rb | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.